#include <iostream>

int main() {
  int n,k,s,m;
  scanf("%d%d",&n,&k);
  int a[n];
  for(int i=0;i<n;i++)
   scanf("%d",&a[i]);
  for(int i=0;i<n;i++)
    if(k==a[i])
      s=i+1;
  if(k!=a[n-1])
      m=a[s];
  else
     m=a[0];
  printf("%d",m);
}